Package org.apache.sling.graphql.api.engine

# Interface ValidationResult

@ProviderType public interface ValidationResult
The `ValidationResult` interface defines the result returned by `QueryExecutor.validate(String, Map, Resource, String[])` and helps additional services to pre-validate a GraphQL query without executing it.

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<String>`
`getErrors()`
Returns a list of errors encountered while validating the query.
`boolean`
`isValid()`
Provides a simple way check if a query is valid or not.

## Method Details

### isValid

boolean isValid()
Provides a simple way check if a query is valid or not.

Returns:
  `true` if the query is valid, `false` otherwise

### getErrors

@NotNull @NotNull List<String> getErrors()
Returns a list of errors encountered while validating the query.

Returns:
  a list of errors encountered while validating the query; an empty list means that no issues were encountered.